Bug 191798 - definition of %{_host} and co different in beehive and stock RPM
Summary: definition of %{_host} and co different in beehive and stock RPM
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-15 20:51 UTC by Roozbeh Pournader
Modified: 2014-03-17 02:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 16:01:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roozbeh Pournader 2006-05-15 20:51:17 UTC
Description of problem:
The definition of the macro %{_host} is different in beehive and RPM as shipped
in Fedora Core. For i386, the beehive definition is i386-redhat-linux-gnu, while
in FC's rpm it is i686-redhat-linux-gn

Version-Release number of selected component (if applicable):
beehive ?
rpm-4.4.2-24.i386


How reproducible:
Always

Steps to Reproduce:
1. rpm --rebuild a package that uses %{_host} (e.g. gtk2).
2. Compare with stable's or Rawhide's version of the same package.
  
Actual results:
The will be different in some way. For the case of gtk2, the rebuilt package
will contain a directory named /etc/gtk-2.0/i686-redhat-linux-gnu while FC's RPM
will have /etc/gtk-2.0/i386-redhat-linux-gnu

Expected results:
They should produce the same results.

Additional info:
This results in broken functionality when packages assume that the definition of
%{_host} is the same everywhere and result in unexpeted things. On my machine
with a rebuilt gtk2, this resulted in breaking librsvg2 and libwmf's %post
scripts which resulted in gnome-games not working.

bug 143950 and bug 143547 are also related to this.


FarsiWeb's internal reference:
farsiweb #287, originally reported by Reza Mohammadi and Hessam M. Armandehi,
fix by Roozbeh Pournader

Comment 1 Bill Nottingham 2006-05-16 20:24:37 UTC
Is redhat-rpm-config installed in both cases?

Comment 2 Roozbeh Pournader 2006-05-17 10:34:08 UTC
I(In reply to comment #1)
> Is redhat-rpm-config installed in both cases?

I really have no clue about beehive, but redhat-rpm-config was/is installed on
the box that I tested rpm --rebuild on.

Comment 3 Bill Nottingham 2006-05-17 20:16:00 UTC
Assigning to beehive guru, CC'ing plague and brew gurus.

Comment 4 Bill Nottingham 2006-07-26 01:12:29 UTC
Is this still the case with current packages?

Comment 5 Roozbeh Pournader 2006-07-29 12:54:14 UTC
I think it only happens with beehive. Latest rawhide gtk2 package
(gtk2-2.10.1-1) that is built with brew (?) uses i686, which is the same
definitions shipped with rpm.

Comment 6 Bill Nottingham 2006-07-31 16:01:31 UTC
OK, closing, as beehive is retired.


Note You need to log in before you can comment on or make changes to this bug.